[SCM] Samba Shared Repository - branch master updated

Jeremy Allison jra at samba.org
Sat Oct 17 21:47:00 MDT 2009


The branch, master has been updated
       via  8d85757... Fix posix_unlink test. Was doing grep without quotes around the target string. Jeremy.
      from  a2aa13d... s4-pvfs: more fixes for ACLs on file creation

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 8d85757578a21ed93d7604d627e329ddf3e04067
Author: Jeremy Allison <jra at samba.org>
Date:   Sat Oct 17 20:46:22 2009 -0700

    Fix posix_unlink test. Was doing grep without quotes around the
    target string.
    Jeremy.

-----------------------------------------------------------------------

Summary of changes:
 source3/script/tests/test_smbclient_s3.sh |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)


Changeset truncated at 500 lines:

diff --git a/source3/script/tests/test_smbclient_s3.sh b/source3/script/tests/test_smbclient_s3.sh
index 3ff9597..ff50220 100755
--- a/source3/script/tests/test_smbclient_s3.sh
+++ b/source3/script/tests/test_smbclient_s3.sh
@@ -113,14 +113,15 @@ EOF
 	return
     fi
 
-    echo "$out" | grep $prompt >/dev/null 2>&1
+    echo "$out" | grep "$prompt" >/dev/null 2>&1
 
-    if [ $? = 0 ] ; then
+    ret=$?
+    if [ $ret = 0 ] ; then
 	# got the correct prompt .. succeed
 	true
     else
 	echo "$out"
-	echo failed create then delete bad symlink
+	echo "failed create then delete bad symlink - grep failed with $ret"
 	false
     fi
 }


-- 
Samba Shared Repository


More information about the samba-cvs mailing list